Package org.eclipse.zest.core.viewers

# Interface IEntityConnectionStyleProvider

All Superinterfaces:
  `IDisposable`

All Known Subinterfaces:
  `IEntityConnectionStyleProvider2`

@Deprecated(since="1.19", forRemoval=true) public interface IEntityConnectionStyleProvider extends IDisposable
Deprecated, for removal: This API element is subject to removal in a future version.
Use `IEntityConnectionStyleDecorator` instead. This interface will be removed after the 2028-09 release.
An extension for label providers which allows users to set styles for connections that are based on entity end points.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor(Object src, Object dest)`
Deprecated, for removal: This API element is subject to removal in a future version.
`int`
`getConnectionStyle(Object src, Object dest)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Color`
`getHighlightColor(Object src, Object dest)`
Deprecated, for removal: This API element is subject to removal in a future version.
`int`
`getLineWidth(Object src, Object dest)`
Deprecated, for removal: This API element is subject to removal in a future version.
`org.eclipse.draw2d.IFigure`
`getTooltip(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `IEntityConnectionStyleProvider2.getTooltip(Object, Object)` instead.

### Methods inherited from interface org.eclipse.ui.services.IDisposable

`dispose`

## Method Details

### getConnectionStyle

@Deprecated(since="1.19", forRemoval=true) int getConnectionStyle(Object src, Object dest)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the style flags for this connection. Valid flags are those that begin with CONNECTION in @see org.eclipse.zest.core.ZestStyles. Check ZestStyles for legal combinations.

Parameters:
  `src` - the source entity.
  `dest` - the destination entity.
Returns:
  the style flags for this connection.
See Also:
  - `ZestStyles`

### getColor

@Deprecated(since="1.19", forRemoval=true) Color getColor(Object src, Object dest)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the color for the connection. Null for default.

Parameters:
  `src` - the source entity. Any resources created by this class must be disposed by this class.
  `dest` - the destination entity.
Returns:
  the color.
See Also:
  - `IDisposable.dispose()`

### getHighlightColor

@Deprecated(since="1.19", forRemoval=true) Color getHighlightColor(Object src, Object dest)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the highlighted color for this connection. Null for default.

Parameters:
  `src` - the source entity. Any resources created by this class must be disposed by this class.
  `dest` - the destination entity.
Returns:
  the highlighted color. Null for default.
See Also:
  - `IDisposable.dispose()`

### getLineWidth

@Deprecated(since="1.19", forRemoval=true) int getLineWidth(Object src, Object dest)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the line width of the connection. -1 for default.

Parameters:
  `src` - the source entity.
  `dest` - the destination entity.
Returns:
  the line width for the connection. -1 for default.

### getTooltip

@Deprecated(since="1.12", forRemoval=true) org.eclipse.draw2d.IFigure getTooltip(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.
Use `IEntityConnectionStyleProvider2.getTooltip(Object, Object)` instead.
Returns the tooltop for this node. If null is returned Zest will simply use the default tooltip.

Parameters:
  `entity` -
@nooverride
  This default method is not intended to be re-implemented or extended by clients.
@noreference
  This method is not intended to be referenced by clients.